%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pypdf2
Version:       3.0.1
Release:       2mamba
Summary:       PDF toolkit
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypdf2.readthedocs.io/en/latest/
Source:        https://pypi.debian.net/PyPDF2/PyPDF2-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildArch:     noarch

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n PyPDF2-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/PyPDF2
%{python_sitelib}/PyPDF2/*
%doc LICENSE

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 3.0.1-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Wed Jan 18 2023 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Mon Sep 26 2022 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Sun Sep 18 2022 Automatic Build System <autodist@mambasoft.it> 2.10.9-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 2.10.8-1mamba
- automatic version update by autodist

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 2.10.7-1mamba
- automatic version update by autodist

* Sun Sep 11 2022 Automatic Build System <autodist@mambasoft.it> 2.10.6-1mamba
- automatic version update by autodist

* Mon Sep 05 2022 Automatic Build System <autodist@mambasoft.it> 2.10.5-1mamba
- automatic version update by autodist

* Mon Aug 29 2022 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic version update by autodist

* Mon Aug 22 2022 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic version update by autodist

* Tue Aug 16 2022 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Sun Aug 07 2022 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Mon Aug 01 2022 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Tue Jul 26 2022 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Mon Jul 25 2022 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Fri Jul 22 2022 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Mon Jul 18 2022 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Thu Jul 07 2022 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Thu Jun 30 2022 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Mon Jun 27 2022 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Jun 20 2022 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Sat Jun 18 2022 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Jun 14 2022 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Tue Jun 07 2022 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Mon May 30 2022 Automatic Build System <autodist@mambasoft.it> 1.28.4-1mamba
- automatic version update by autodist

* Sun May 29 2022 Automatic Build System <autodist@mambasoft.it> 1.28.3-1mamba
- automatic version update by autodist

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 1.28.2-1mamba
- automatic version update by autodist

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 1.28.1-1mamba
- automatic version update by autodist

* Mon May 23 2022 Automatic Build System <autodist@mambasoft.it> 1.28.0-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 1.27.12-1mamba
- automatic version update by autodist

* Tue May 03 2022 Automatic Build System <autodist@mambasoft.it> 1.27.11-1mamba
- automatic version update by autodist

* Sun May 01 2022 Automatic Build System <autodist@mambasoft.it> 1.27.10-1mamba
- automatic version update by autodist

* Sun Apr 24 2022 Automatic Build System <autodist@mambasoft.it> 1.27.9-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 1.27.8-1mamba
- automatic version update by autodist

* Wed Apr 20 2022 Automatic Build System <autodist@mambasoft.it> 1.27.7-1mamba
- automatic version update by autodist

* Mon Apr 18 2022 Automatic Build System <autodist@mambasoft.it> 1.27.6-1mamba
- automatic version update by autodist

* Sun Apr 17 2022 Automatic Build System <autodist@mambasoft.it> 1.27.5-1mamba
- automatic version update by autodist

* Sat Apr 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.27.4-1mamba
- update to 1.27.4

* Wed Aug 31 2016 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic update by autodist

* Tue Jun 09 2015 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.24-1mamba
- package created using the webbuild interface
